module lfsr    (
out             ,  // Output of the counter
data		,  // Input of the LFSR
enable          ,  // Enable  for counter
clk             ,  // clock input
reset              // reset input
);

output [2:0] out;
input [2:0] data;
input enable, clk, reset;

reg [2:0] out;
wire        linear_feedback;

assign linear_feedback = (out[1] ^ out[2]);

always @(posedge clk)
if (reset) begin
  out <= 3'b111 ;
end else if (enable) begin
  out <= {out[1], out[0], linear_feedback};
end 

endmodule
